<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../venta/cVenta.php");

$oVenta = new cVenta();

require_once ("../stock/cStock.php");

$oStock = new cStock();





class ElementoAutocompletar {

	var $value;

	var $label;

	var $catid;

	var $preven;

	var $precos;

	var $codbar;

	var $uni;



	function __construct($label, $value,$catid,$preven,$precos,$codbar,$uni){

		$this->label = $label;

		$this->value = $value;

		$this->catid = $catid;

		$this->preven = $preven;

		$this->precos = $precos;

		$this->codbar = $codbar;

		$this->uni = $uni;

	}

}



$datoBuscar = '%'.$_GET["term"].'%';

$est=1;

$lim=12;

$tip = 1;



$rs=$oVenta->autocomplet_productos($datoBuscar,$codbar,$est,$lim,$tip);



$arrayDatos = array();



while ($dt = mysqli_fetch_array($rs))

{

	$largo=55;

	$producto=$dt["tb_producto_nom"];

	$n_producto=strlen($producto);



	$alm_id=$_SESSION['almacen_id'];

	$stock = mysqli_fetch_array($oStock->stock_por_presentacion($dt["tb_presentacion_id"],$alm_id))['tb_stock_num'];

	$stock=floor($stock/$dt["tb_catalogo_fac"]);



	$stock=" ".$stock*1;



	$precio="S/. ".$dt["tb_catalogo_precos"];

	$n_precio=strlen($precio);

	

	$n_espacio=$largo-$n_producto-$n_precio-2;

	$espacio=" ".str_pad($ini,$n_espacio,"-")." ";



	$etiqueta = $producto." | ".$stock." ".$dt["tb_unidad_abr"]." _ _ ".$precio;

	

	 $uni = '<option value='.$dt['tb_unidad_id_bas'].'>'.$dt['tb_unidad_nom'].'</option>'; 

	

	array_push($arrayDatos, new ElementoAutocompletar($etiqueta, $dt["tb_producto_nom"],$dt["tb_catalogo_id"],$dt["tb_catalogo_preven"],$dt["tb_catalogo_precos"],$dt['tb_presentacion_codbar'],$uni));

}



print_r(json_encode($arrayDatos));

